> ## Documentation Index
> Fetch the complete documentation index at: https://docs.connect-crm.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a list of stages

> Gets information about a single attribute stages.



## OpenAPI

````yaml get /v1/objects/{identifier}/attributes/{attribute}/stages
openapi: 3.1.0
info:
  version: 0.1.0
  title: Connect-CRM Backend API
servers:
  - url: https://api.connect-crm.com
security:
  - Bearer: []
paths:
  /v1/objects/{identifier}/attributes/{attribute}/stages:
    get:
      tags:
        - AttributeStages
      summary: Get a list of stages
      description: Gets information about a single attribute stages.
      operationId: listStages
      parameters:
        - schema:
            type: string
            description: A UUID or slug to identify the object.
          required: true
          description: A UUID or slug to identify the object.
          name: identifier
          in: path
        - schema:
            type: string
            description: A UUID or slug to identify the attribute.
          required: true
          description: A UUID or slug to identify the attribute.
          name: attribute
          in: path
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AttributeStagesResponse'
        '401':
          description: Not Authorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  statusCode:
                    type: number
                    example: 404
                  type:
                    type: string
                    example: not_authorized_error
                  code:
                    type: string
                    example: not_authorized
                  requestId:
                    type: string
                    example: 123e4567-e89b-12d3-a456-426655440000
                required:
                  - statusCode
                  - type
                  - code
                  - requestId
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                type: object
                properties:
                  statusCode:
                    type: number
                    example: 403
                  type:
                    type: string
                    example: forbidden_error
                  code:
                    type: string
                    example: forbidden
                  requestId:
                    type: string
                    example: 123e4567-e89b-12d3-a456-426655440000
                required:
                  - statusCode
                  - type
                  - code
                  - requestId
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                type: object
                properties:
                  statusCode:
                    type: number
                    example: 404
                  type:
                    type: string
                    example: invalid_request_error
                  code:
                    type: string
                    example: not_found
                  requestId:
                    type: string
                    example: 123e4567-e89b-12d3-a456-426655440000
                required:
                  - statusCode
                  - type
                  - code
                  - requestId
        '500':
          description: Invalid Server
          content:
            application/json:
              schema:
                type: object
                properties:
                  statusCode:
                    type: number
                    example: 500
                  type:
                    type: string
                    example: invalid_error
                  code:
                    type: string
                    example: ''
                  requestId:
                    type: string
                    example: 123e4567-e89b-12d3-a456-426655440000
                required:
                  - statusCode
                  - type
                  - code
                  - requestId
components:
  schemas:
    AttributeStagesResponse:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/AttributeStage'
      required:
        - data
    AttributeStage:
      type: object
      properties:
        archived_at:
          type:
            - string
            - 'null'
          format: date-time
          description: When the attribute stage was archived.
          example: '2024-09-04T20:45:09Z'
        id:
          type: object
          properties:
            stage_id:
              type: string
              example: 9293961c-df93-4d6d-a2cc-fc3e353b2d10
              description: A UUID to identify the attribute stage.
            attribute_id:
              type: string
              example: 9293961c-df93-4d6d-a2cc-fc3e353b2d10
              description: A UUID to identify the attribute this option belongs to.
            object_id:
              type: string
              example: 9293961c-df93-4d6d-a2cc-fc3e353b2d10
              description: A UUID to identify the object this option belongs to.
            workspace_id:
              type: string
              example: 9293961c-df93-4d6d-a2cc-fc3e353b2d10
              description: A UUID to identify the workspace this option belongs to.
          required:
            - stage_id
            - attribute_id
            - object_id
            - workspace_id
        sort_order:
          type: number
          description: The sort order of the attribute option.
          example: 1
        title:
          type: string
          description: The title of the attribute stage.
          example: Stage 1
        config:
          $ref: '#/components/schemas/AttributeStageConfig'
      required:
        - archived_at
        - id
        - sort_order
        - title
        - config
    AttributeStageConfig:
      type:
        - object
        - 'null'
      properties:
        is_closed:
          type: boolean
        is_won:
          type: boolean
        is_lost:
          type: boolean
      description: Configuration for the attribute stage.
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer

````